library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity comp is
generic(
	N : integer := 4
);
port(
	x		: in std_logic_vector(N-1 downto 0);
	output	: out std_logic
);
end comp;

architecture comp_arch of comp is
begin
	process(x)
	begin 
		if x = 0 then 
			output <= '0';
		else
			output <= '1';
		end if; 
    end process;
end comp_arch;
