## Generated SDC file "fibonacci.sdc"

## Copyright (C) 1991-2013 Altera Corporation
## Your use of Altera Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Altera Program License 
## Subscription Agreement, Altera MegaCore Function License 
## Agreement, or other applicable license agreement, including, 
## without limitation, that your use is for the sole purpose of 
## programming logic devices manufactured by Altera and sold by 
## Altera or its authorized distributors.  Please refer to the 
## applicable agreement for further details.


## VENDOR  "Altera"
## PROGRAM "Quartus II"
## VERSION "Version 13.0.1 Build 232 06/12/2013 Service Pack 1 SJ Full Version"

## DATE    "Wed Dec 09 12:14:29 2015"

##
## DEVICE  "EP4CE115F29C7"
##


#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3



#**************************************************************
# Create Clock
#**************************************************************

create_clock -name {clk} -period 20.000 -waveform { 0.000 10.000 } [get_ports {clk}]


#**************************************************************
# Create Generated Clock
#**************************************************************



#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************

set_clock_uncertainty -rise_from [get_clocks {clk}] -rise_to [get_clocks {clk}]  0.020  
set_clock_uncertainty -rise_from [get_clocks {clk}] -fall_to [get_clocks {clk}]  0.020  
set_clock_uncertainty -fall_from [get_clocks {clk}] -rise_to [get_clocks {clk}]  0.020  
set_clock_uncertainty -fall_from [get_clocks {clk}] -fall_to [get_clocks {clk}]  0.020  


#**************************************************************
# Set Input Delay
#**************************************************************

set_input_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {rst}]


#**************************************************************
# Set Output Delay
#**************************************************************

set_output_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {fibo_s[0]}]
set_output_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {fibo_s[1]}]
set_output_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {fibo_s[2]}]
set_output_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {fibo_s[3]}]
set_output_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {fibo_s[4]}]
set_output_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {fibo_s[5]}]
set_output_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {fibo_s[6]}]
set_output_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {fibo_s[7]}]
set_output_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {fibo_s[8]}]
set_output_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {fibo_s[9]}]
set_output_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {fibo_s[10]}]
set_output_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {fibo_s[11]}]
set_output_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {fibo_s[12]}]
set_output_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {fibo_s[13]}]
set_output_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {fibo_s[14]}]
set_output_delay -add_delay  -clock [get_clocks {clk}]  0.000 [get_ports {fibo_s[15]}]


#**************************************************************
# Set Clock Groups
#**************************************************************



#**************************************************************
# Set False Path
#**************************************************************



#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************

