library ieee;
use ieee.std_logic_1164.all;

entity mux is
generic(
	N : integer :=4
);
port(
	sel	: in std_logic;
	x, y	: in  std_logic_vector(N-1 downto 0);
	output	: out std_logic_vector(N-1 downto 0)
);
end mux;

architecture mux_arch of mux is
begin
	output <= x when (sel = '0') else
		y;
end mux_arch;